summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2018-01-16 15:47:48 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2018-01-16 15:48:17 +0100
commit6b41a64d4218c62f37e6f50daedbd063cf562ea5 (patch)
tree68c68f86ce72401672fe28974b130622c61eb838
parent947105031dd806fe3c9dd6a3fb45633a059d292b (diff)
downloaddeployment-6b41a64d4218c62f37e6f50daedbd063cf562ea5.tar.gz
deployment-6b41a64d4218c62f37e6f50daedbd063cf562ea5.tar.bz2
deployment-6b41a64d4218c62f37e6f50daedbd063cf562ea5.zip
adding back-office docs building instructions
-rw-r--r--buildbot/master.cfg3
-rwxr-xr-xtaler-build/update_doc_backoffice.sh20
2 files changed, 22 insertions, 1 deletions
diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index 5bf36ce..5411569 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -61,7 +61,7 @@ c["change_source"] = [ALLCS]
def doc_filter(change):
_changes = change.asDict()
- if _changes.get("project") in ["api", "www"]:
+ if _changes.get("project") in ["api", "www", "merchant-frontend-examples"]:
return True
files = _changes.get("files")
for file in files:
@@ -269,6 +269,7 @@ SELENIUM_FACTORY.addStep(ShellCommand(
def doc_dispatcher(project):
switch = {
"api": ["./update_api.sh"],
+ "backoffice": ["./update_doc_backoffice.sh"],
"www": ["./update_www_and_stage.sh"],
"bank": ["./update_bank.sh"],
"merchant": ["./update_doc_merchant.sh"],
diff --git a/taler-build/update_doc_backoffice.sh b/taler-build/update_doc_backoffice.sh
new file mode 100755
index 0000000..a098bef
--- /dev/null
+++ b/taler-build/update_doc_backoffice.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo head)
+ git reset --hard "$branch"
+}
+
+cd $HOME/backoffice/doc/
+fetch
+make
+mkdir -p $HOME/build/backoffice/manual/pdf
+mkdir -p $HOME/build/backoffice/manual/html
+cp manual.pdf $HOME/build/backoffice/manual/pdf/
+cp manual.html $HOME/build/backoffice/manual/html/
+cp *.css $HOME/build/backoffice/manual/html/